import { CtorEnsureArgError } from '.';
/**
 * Validate a constructor from the k-v pairs of a plain object
 * @param className Schema name
 * @param value Plain object containing contructor fields
 * @param templateLang Language to use for rendering ensure templates
 * @returns List of errors
 */
declare const validateCtor: (className: string, value: any, templateLang?: string) => CtorEnsureArgError[] | null;
export default validateCtor;
//# sourceMappingURL=ctor-validator.d.ts.map