"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field has a defined value
 */
var ENSURE_EXISTING = function () { return ({
    description: {
        name: 'ENSURE_EXISTING',
    },
    process: function (value) { return ({
        error: value === undefined,
        value: value,
    }); },
}); };
exports.default = ENSURE_EXISTING;
//# sourceMappingURL=existing.validation-ensure.js.map