"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is a boolean value
 */
var ENSURE_BOOLEAN = function () { return ({
    description: {
        name: 'ENSURE_BOOLEAN',
    },
    process: function (value) { return ({
        error: typeof value !== 'boolean',
        value: value,
    }); },
}); };
exports.default = ENSURE_BOOLEAN;
//# sourceMappingURL=boolean.validation-ensure.js.map