"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Ensure to be used within config of {@link ValidatedArg}
 * Ensure this field is not of null value
 */
var ENSURE_NONNULL = function () { return ({
    description: {
        name: 'ENSURE_NONNULL',
    },
    process: function (value) { return ({
        error: !(value !== null && value !== undefined),
        value: value,
    }); },
}); };
exports.default = ENSURE_NONNULL;
//# sourceMappingURL=nonnull.validation-ensure.js.map